#!/bin/sh

BASEDIR=$1
OUTDIR=$2
WINDOW=$3
count=1
ext=.jpg
cd $BASEDIR
for f in $(find . -type f -name '*.zip')
do 

	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_B"
	filename=$OUTDIR$filepattern
	echo $filename
	if [ ! -e $filename"04.jp2" ]; then

                unzip -n -j $f *B04.jp2 -d $OUTDIR 
	fi

	if [ ! -e $filename"08.jp2" ]; then

		unzip -n -j $f *B08.jp2 -d $OUTDIR 
	fi

	
	cd $OUTDIR
	NIR=$(ls $filepattern"04.jp2" -t |head -1)
	VIR=$(ls $filepattern"08.jp2" -t |head -1)

	echo "NIR-"$NIR
	echo "VIR-"$VIR



#	if [  ! -e $filepattern"04.jpg" ]; then
#		gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG $NIR ndvi/$filepattern"04.jpg"
#	fi

#	if [  ! -e $filepattern"08jpg" ]; then
#		gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG $VIR ndvi/$filepattern"08.jpg"
#	fi


	if [ ! -d "ndvi" ]; then
		mkdir ndvi
	fi

	fileout1=$(echo $filepattern | cut -d"_" -f1)
        fileout2=$(echo $filepattern | cut -d"_" -f2)

	python $HOME/git/GeoSentinel/geosentinel/ndvi.py $NIR $VIR ndvi/$fileout2"_"$fileout1".tiff"
#	convert $filepattern"04.jpg" $filepattern"03.jpg" $filepattern"02.jpg" -resize 640x480\! -combine video/$fileout2"_"$fileout1".jpg"

        if [ ! -d "video" ]; then
                mkdir video
        fi

	gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG ndvi/$fileout2"_"$fileout1".tiff" video/$fileout2"_"$fileout1".jpg"
	
	cd ..

done
